﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

using Microtoolskit.Hardware.Sensors;
using Microtoolskit.Hardware.Displays;

namespace Incubateur
{
    public class Program
    {
        public static void Main()
        {
            // Variables
            var temperature = 0.0; // <- A compléter (IncubateurV1)

            // Création des objets virtuels  
            var ModuleMesureTemp = new TMP102();    // <- Objet ModuleMesureTemp à créer (IncubateurV1)
            var Lcd = new ELCD162(); //  (donné)

            // Initialisations (donné)
            ModuleMesureTemp.Init();
            Lcd.Init(); Lcd.ClearScreen(); Lcd.CursorOff(); // COM2 



            while (true)
            {
                // Lire la température
                temperature = ModuleMesureTemp.ReadAsCelcius(); // <- A compléter (IncubateurV1)

                // Effacer le lcd
                Lcd.ClearScreen(); // <- A compléter (IncubateurV1)

                // Afficher la température sur le lcd
                Lcd.PutString("T = " + temperature.ToString("F1") + "C"); // <- A compléter (IncubateurV1)

                Thread.Sleep(1000); // Attendre une seconde entre chaque mesure (donné)
            }
        }
    }
}
